# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile

-keep class com.acs.** {*;}
-keep class javax.smartcardio.** {*;}
-keep class com.feitianBLE.** {*;}
-keep class com.feitian.** {*;}
-keep class com.ftsafe.** {
    native <methods>;
    *;
}
-keep class com.imagpay.** {
    native <methods>;
    *;
}
-keep class com.zcs.** {
    native <methods>;
    *;
}
-keep class com.zcs.sdk.emv.base.EmvCoreJni {
    native <methods>;
}

-keep class com.imagpay.security.JNIDukpt {
    native <methods>;
}
-keep class com.zcs.sdk.emv.** {*;}